Statistiques des liens

GET https://zoply.link/api/statistics/
curl --request GET \
--url 'https://zoply.link/api/statistics/' \
--header 'Authorization: Bearer {api_key}' \
Paramètres Détails Description
start_date Facultatif Chaîne Date de début au format Y-m-d. Par défaut : il y a 30 jours si omise.
end_date Facultatif Chaîne Date de fin au format Y-m-d. Par défaut : aujourd'hui si omise.
project_id Facultatif Entier
type Facultatif Chaîne Valeurs autorisées : overview, entries, referrer_host, referrer_path, crawler, continent_code, country_code, region_name, city_name, timezone, os_name, browser_name, device_type, browser_language, utm_source, utm_medium, utm_campaign, hour, weekday, visitor_type, acquisition_channel
continent_code Facultatif Chaîne Disponible si : type = country_code
country_code Facultatif Chaîne Disponible si : type = region_name, city_name
region_name Facultatif Chaîne Disponible si : type = city_name
utm_source Facultatif Chaîne Disponible si : type = utm_medium, utm_campaign
utm_medium Facultatif Chaîne Disponible si : type = utm_campaign
referrer_host Facultatif Chaîne Disponible si : type = referrer_path
referrer_type Facultatif Chaîne Disponible si : type = referrer_host Valeurs autorisées : all, ai, social_media, search_engines, other_websites
crawler_type Facultatif Chaîne Disponible si : type = crawler Valeurs autorisées : all, ai, search_engines
{
    "data": [
        {
            "pageviews": 20,
            "visitors": 5,
            "formatted_date": "2021-01"
        },
        {
            "pageviews": 35,
            "visitors": 10,
            "formatted_date": "2021-02"
        },
        {
            "pageviews": 50,
            "visitors": 25,
            "formatted_date": "2021-03"
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://zoply.link/api/statistics?page=1",
        "last": "https://zoply.link/api/statistics?page=1",
        "next": null,
        "prev": null,
        "self": "https://zoply.link/api/statistics?page=1"
    }
}
GET https://zoply.link/api/statistics/{link_id}
Paramètres Détails Description
start_date Facultatif Chaîne Date de début au format Y-m-d. Par défaut : il y a 30 jours si omise.
end_date Facultatif Chaîne Date de fin au format Y-m-d. Par défaut : aujourd'hui si omise.
type Facultatif Chaîne Valeurs autorisées : overview, entries, referrer_host, referrer_path, crawler, continent_code, country_code, region_name, city_name, timezone, os_name, browser_name, device_type, browser_language, utm_source, utm_medium, utm_campaign, hour, weekday, visitor_type, acquisition_channel
continent_code Facultatif Chaîne Disponible si : type = country_code
country_code Facultatif Chaîne Disponible si : type = region_name, city_name
region_name Facultatif Chaîne Disponible si : type = city_name
utm_source Facultatif Chaîne Disponible si : type = utm_medium, utm_campaign
utm_medium Facultatif Chaîne Disponible si : type = utm_campaign
referrer_host Facultatif Chaîne Disponible si : type = referrer_path
referrer_type Facultatif Chaîne Disponible si : type = referrer_host Valeurs autorisées : all, ai, social_media, search_engines, other_websites
crawler_type Facultatif Chaîne Disponible si : type = crawler Valeurs autorisées : all, ai, search_engines
curl --request GET \
--url 'https://zoply.link/api/statistics/{link_id}?start_date=2020-01-01&end_date=2021-01-01' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": [
        {
            "pageviews": 20,
            "visitors": 5,
            "formatted_date": "2021-01"
        },
        {
            "pageviews": 35,
            "visitors": 10,
            "formatted_date": "2021-02"
        },
        {
            "pageviews": 50,
            "visitors": 25,
            "formatted_date": "2021-03"
        }
    ]
}